#!/bin/bash

# Show usage information:
if [ "${1}" == "--h" ] || [ "${1}" == "--help" ] || [ "${1}" == "-h" ] || [ "${1}" == "-help" ]
then
	echo "" 
	echo "Several Numbers Calculation Maker Pipeline makes several calculations"
	echo "with 4 numbers. The first 2 numbers will be used to calculate the sum."
	echo "The last 2 numbers will be used to calculate the result of the base"
	echo "to the power of the exponent."
	echo "" 
	echo "Way of usage:" 
	echo "" 
	echo "When you start Several Numbers Calculation Maker Pipeline, you have to"
	echo "type the first 2 numbers for the sum in the command line arguments and"
	echo "you have to type the last 2 numbers for the powering." 
	echo ""
	echo "Example:" 
	echo ""
	echo "bash SeveralNumbersCalculationMakerPipeline.sh 1 2 3 4"
	echo ""
	
	exit  
fi

# The highway of Several Numbers Calculation Maker Pipeline starts here.

echo ""
echo "The Several Numbers Calculation Maker Pipeline starts now." 
echo ""

# Get the numbers.
firstNumber=${1}
secondNumber=${2}
thirdNumber=${3}
fourthNumber=${4}

# Calculate the sum of the first and second number.
python3 CalculateSumOfNumbers.py ${firstNumber} ${secondNumber}

# Calculate the result of the third number (base) to the power of 
# the fourth number (exponent)
Rscript DeterminePowerAnswerFromNumbers.R ${thirdNumber} ${fourthNumber}


echo ""
echo "The Several Numbers Calculation Maker Pipeline has finished." 
echo ""


