#!/usr/bin/Rscript

showUsageInformation <- function() {
	print("") 
	print("Determine Power Answer from Numbers calculates the result of a base power to the exponent.")
	print("The first command line argument is taken as a base and the second command line argument")
	print("is taken as the exponent.")
	print("")
	print("Way of usage:")
	print("") 
	print("When you start Determine Power Answer from Numbers, you have to type 2 numbers.")
	print("The result will be shown on the screen.")
	print("")
	print("Example:")
	print("")
	print("Rscript DeterminePowerAnswerFromNumbers.R 3 5") # The result in this example will be 243.
	print("")
	
	quit()
}

# Here the answer is calculated by taking the base to the exponent.
determineAnswerPowerTo <- function(base, exponent) {
	return(base^exponent)
}

# The result is shown on the screen. 
showResult <- function(result) {
  print(paste("The result is: ", result, ""))
}

main <- function(args) {

	if (length(args) > 0) {
		if (args[1] == "-h" |  args[1] == "-help" | args[1] == "--h" | args[1] == "--help") {
			showUsageInformation()
		}
	  
	  # The first numbers are extracted from the command line arguments. 
	  base <- as.numeric(args[1])
	  exponent <- as.numeric(args[2])
	  
	  # Powering is done. 
	  result <- determineAnswerPowerTo(base, exponent)
	  showResult(result)
	}	
}

main(commandArgs(T))
